#ifdef USING_GLEE
#include <GLee.h>
#endif
#include <GL/gl.h>
#include <GL/glext.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>

#ifndef GLOBALS_H
#define GLOBALS_H

namespace CapguiGlobals{

#define signf(d1) (((d1)>=0)?1:-1)
#define SIGNF(f) (((f)<0)?-1:1)

void multPoint(double * res,double * mat,double * pt);
double invert(double * inv,double * odata);
void myProject(double x,double y,double z,double * pm,int * view,
	       double *sx,double *sy,double *sz);
void myUnProject(double x,double y,double z,double * pmInv,int * view,
		 double *ox,double *oy,double *oz);
void UnProjectProject(double x,double y,double z,
		      double * pmInv,int * worldView,
		      double * pm,int * lightView,
		      double *sx,double *sy,double *sz);
void printErr(char * s);
void log(char * fmt,...);
}
#endif
