#include "dlfcn_win.h"
#include <stdio.h>

typedef int (*ifunc_t)(void);
static int haveerror=0;

char * dlerror()
{
  static char err[32];
  err[0]=0;
  char * str=0;
  if(haveerror==2){str=err;sprintf(err,"Error in dlsym");}
  if(haveerror==1){str=err;sprintf(err,"Error in dlopen");}
  haveerror=0;
  return str;
}

void dlclose(void * handle)
{
  if(handle)FreeLibrary((HINSTANCE)handle);
}

void * dlsym(void * handle,char * fname){
  ifunc_t val=(ifunc_t)GetProcAddress((HINSTANCE) handle,fname);
  //printf("in dlsym %p\n",val);
  haveerror=(!val)*2;
  return (void *)val;}


void * dlopen(char * fname,int blah){
  HINSTANCE h=LoadLibrary(fname);
  //printf("in dlopen %p\n",h);
  haveerror=(!h)*1;
  
  return h;
}

