#include <dirent.h>
#include "plugin.h"

/*
  availabletypes:
  geom_noparam.so
  geom_simplify.so
  geom.so 
  sfs.so
*/
wxArrayString findPlugins(const char * basedir, const char * type)
{
  wxArrayString  results;
  wxString bdir = wxString::FromAscii(basedir);
  if(basedir){
    DIR * dir = opendir(basedir);
    struct dirent * de;
    if(dir){
      while(de=readdir(dir)){
	if(strstr(de->d_name,type) &&
	   strstr(de->d_name,PLUG_EXTENSION)){
	  //strstr(de->d_name,"lib")==de->d_name){
	  results.Add(bdir+wxT("/")+wxString::FromAscii(de->d_name));
	  printf("%s\n",de->d_name);
	}
      }
      closedir(dir);
    }
  }
  return results;
}


