#include "voxbin.h"

#ifdef VOXBIN_MAIN
int main()
{
  VoxBin vb(100);
  vb.setRanges(100,101,200,201,300,301);
  for(int i=0;i<100000;i++){
    Vec3f pt(rand(),rand(),rand());
    pt*=1.0/(double)RAND_MAX;
    pt+=Vec3f(100,200,300);
    vb.insert(pt);
  }
  for(int i=0;i<1000;i++){
    printf("%d\n",vb.distanceQuery(Vec3f(100.5,200.5,300.5),0.1));
  }
  printf("done dq\n");
  for(int i=0;i<1000;i++){
    vb.bruteDistanceQuery(Vec3f(100.5,200.5,300.5),0.1);
  }
  printf("done bdq\n");
}
#endif
