#include <stdio.h>
#include <stdlib.h>
#include <wx/wx.h>
#include "chart.h"
#include "plugin_defines.h"

extern "C" const char *  getName(){
  return "Maptest";
}
extern "C" const char *  getInfo(){
  return "A map plugin test";
}
extern "C" int getType(){
  return TEXPLUGIN_MAP_TYPE;
}
extern "C" int apply(Chart ** charts,int *ncharts){
  printf("The apply function of %s (ncharts=%s)\n",getName(),
	 ncharts);
  return 0;
}
extern "C" const void * getPanel(wxWindow  * v){
  wxPanel * panel = new wxPanel(v);
  wxBoxSizer * sizer=new wxBoxSizer(wxVERTICAL);
  sizer->Add(new wxStaticText(panel,0,"The Maptest\nMap Options"),0,wxGROW);
  panel->SetSizer(sizer);
  return panel;
}
