#include <stdio.h>
#include <stdlib.h>
#include "chart.h"
#include <wx/wx.h>
#include "matrix.h"
#include "texgen.h"
#include "plugin_defines.h"

extern "C" const char *  getName(){
  return "Pack Charts";
}
extern "C" const int  getType(){
  return TEXPLUGIN_OTHER_TYPE;
}
extern "C" const char *  getInfo(){
  return "Pack the charts";
}
extern "C" int apply(Chart ** charts,int * ncharts){
  if(*ncharts>0){
    printf("packing charts\n");
    packChartsNew(*charts,*ncharts,256,256);
  }
  return 0;
}

extern "C" const void * getPanel(wxWindow * parent){
  return new wxPanel(parent);
}
