#include <stdio.h>
#include <stdlib.h>
#include "chart.h"
#include <wx/wx.h>
#include "texgen.h"
#include "plugin_defines.h"


extern "C" const char *  getName(){
  return "Split Charts";
}
extern "C" const int  getType(){
  return TEXPLUGIN_SPLIT_TYPE;
}
extern "C" const char *  getInfo(){
  return "Split... the charts";
}
extern "C" int apply(Chart ** charts,int * ncharts){
  if(*charts && *ncharts){
    int newncharts=0;
    Chart * newCharts=splitDistance(*charts,newncharts);
    delete [] (*charts);
    *ncharts=newncharts;
    *charts=newCharts;
  }
  return 0;
}

extern "C" const void * getPanel(wxWindow * parent){
  return 0;
}
