#ifndef TEXGEN_H
#define TEXGEN_H

#include "matrix.h"
#include "chart.h"


void scaleCharts(Chart * charts,int ncharts,double scale=0.7,
		 int inplace=0,int increasing=1);
void packCharts(Chart * charts,int ncharts,
		int twidth,int theight);
void packChartsNew(Chart * charts,int ncharts,
		int twidth,int theight);

int cone(Vec3f * v1,int ,Vec3f & axis,double & angle);
void getTexCoordsSVD(Chart & c);
void getTexCoordsMDS(Chart & c);
void getTexCoordsLSCM(Chart & c);
void getTexCoordsLSCM_circle(Chart & c);
Chart * split(Chart * c,int & ncharts,double coneAngle=0.7*0.5*M_PI,int maxpoly=10000000);
Chart * splitDistance(Chart * c,int & ncharts,int p1=-1,int p2=-1);

#endif
